Ubuntu

xserver-xorg-core update breaks java & wxwidgets apps

Reported by ArbitraryConstant on 2008-01-18
294
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Critical
Kees Cook

Bug Description

Binary package hint: xserver-xorg-core

Gutsy i386 on an Asus EeePC, desktop effects disabled.

VLC used to work fine. After the xorg update, VLC fails with the following output:

VLC media player 0.8.6c Janus
The program '.' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 477 error_code 11 request_code 144 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I backed out the recent update to xorg by replacing the newer xserver-xorg-core 1.3.0.0.dfsg-12ubuntu8.1 with the previous 1.3.0.0.dfsg-12ubuntu8. VLC now works fine again.

Schack (henrik-schack) wrote :

Jungledisk (http://jungledisk.com/) fails with:

henj@xww:~$ /opt/jungledisk/junglediskmonitor
The program 'junglediskmonitor' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 686 error_code 11 request_code 148 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Sid (sidd) wrote :

I get a similar error with eclipse. And someone on #ubuntu got the same error for azureus.

Looks like the latest xserver update breaks graphical java apps.

W.McL (w-mcl) wrote :

Since the error already was posted above I'm only posting the different error codes:

When trying to start eclipse, using Sun Java version 6-03-0ubuntu2:
  (Details: serial 425 error_code 11 request_code 145 minor_code 5)

When trying to start eclipse, using gji version 4:4.2.1-4ubuntu2:
  (Details: serial 445 error_code 11 request_code 145 minor_code 5)

I get the same error on Ubuntu Edgy since I installed the update of xserver-xorg-core this morning:

The program 'Eclipse' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 2717 error_code 11 request_code 144 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;

PAshaRome (pasharome) wrote :

I confirm this problem. Eclipse is not functioning after upgrade. But also pgAdmin III 1.8.0. And this has wx interfaces, isn't it?

Only after rollback of packages xserver-xorg-core and xserver-xorg-dev i can use my applications.

Sorry, guys, but you must have more attention - i'm a java developer and i have a job to complete this morning ;)

Changed in xorg-server:
status: New → Confirmed
Hannes Koller (hannes-koller) wrote :

Okay on Edgy the problem goes away by downgrading the xserver-xorg-core back to xserver-xorg-core_1.1.1-0ubuntu12.2

here is what I did (on Ubuntu Edgy) to get my Eclipse back

sudo wget http://at.archive.ubuntu.com/ubuntu/pool/main/x/xorg-server/xserver-xorg-core_1.1.1-0ubuntu12.2_i386.deb
sudo dpkg -i xserver-xorg-core_1.1.1-0ubuntu12.2_i386.deb
<restart xserver>

back to work now :)

Øyvind Stegard (oyvinst) wrote :

The latest update of xserver-xorg-core breaks Eclipse with the following error:

The program 'Eclipse' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 939 error_code 11 request_code 150 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

It may also apply to other Java-based (or SWT-toolkit based) applications, not sure.

xserver-xorg-core 1.3.0.0.dfsg-12ubuntu8.1
Eclipse 3.3.1
java version "1.6.0_03"
Ubuntu Gutsy 32bit

aurelieng (aurelien-grosdidier) wrote :

For Gutsy, you can get the previous version from https://launchpad.net/ubuntu/gutsy/i386/xserver-xorg-core/2:1.3.0.0.dfsg-12ubuntu8 :

wget http://launchpadlibrarian.net/9590664/xserver-xorg-core_1.3.0.0.dfsg-12ubuntu8_i386.deb
dpkg -i xserver-xorg-core_1.3.0.0.dfsg-12ubuntu8_i386.deb

Then stop and start X :)

Sid (sidd) wrote :

You can also downgrade using aptitude:

sudo aptitude install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8

and then restart X.

Alberto Milone (albertomilone) wrote :

I have the same problem with Amule:

:~$ amule --sync
Initialising aMule
Checking if there is an instance already running...
No other instances are running.
The program 'amule' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 1967 error_code 11 request_code 148 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Bryce Harrington (bryce) on 2008-01-18
Changed in xorg-server:
importance: Undecided → High
boenki (boenki) wrote :

...and azureus:

boenki@ubuntu:~$ azureus
Looking for and picking a preferred Java runtime
Use environment AZUREUS_JAVA to override
Using Java: /usr/lib/jvm/java-6-sun/jre/bin/java
The program 'SWT' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 363 error_code 11 request_code 148 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Bryce Harrington (bryce) wrote :

I uploaded this security fix today, but from looking at the code hadn't predicted it'd cause this behavior. I'll roll it back tomorrow (it's after 2am here).

Meanwhile, can anyone provide a backtrace or other sorts of trace data that indicates why java is being broken by the fix to this security issue? Might help in narrowing down which of the five security patches caused the problem...

Bryce

Changed in xorg-server:
assignee: nobody → bryceharrington
importance: High → Critical
Timo Aaltonen (tjaalton) wrote :

Also, could someone verify that the same happens or doesn't happen with the latest java (there was a security release this week, not yet in Ubuntu though). Try for instance 1.6.0_04.

vm (vesa-muukka) wrote :

Confirmed.

Updated this morning (18.01.2008) Ubuntu 7.04 packages xserver-xorg-core and libxfont1 but they broke eclipse. After forcing the previous versions of xserver-xorg-core eclipse was able to start again. Need to restart X again of course.

Working version:
xserver-xorg-core - 2:1.2.0-3ubuntu8

Not working version:
xserver-xorg-core - 2:1.2.0-3ubuntu8.1

su541 (sushi-su541) wrote :

I have been using the java version 1.6.0_04 since the 14th of january.
But the problem has occured today for the first time. So it's not a java problem.

Øyvind Stegard (oyvinst) wrote :

I think this is related to the SWT toolkit.. I tried using gdb on Eclipse, putting a breakpoint on gdk_x_error as suggested, but I can't get Eclipse to run synchronized against X. So instead I turned on verbose JNI output on the JVM, and this is the last output I got before it crashes:

...
...
...
[Dynamic-linking native method java.lang.StrictMath.pow ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_description_get_family ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_description_get_size ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_description_get_style ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_description_get_weight ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_description_to_string ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_description_from_string ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_context_list_families ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_family_get_name ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_family_list_faces ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_face_describe ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._pango_font_description_free ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._gdk_draw_rectangle ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._gdk_colormap_free_colors ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._gdk_draw_polygon ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._gdk_pixbuf_get_from_drawable ... JNI]
[Dynamic-linking native method java.util.zip.ZipFile.getNextEntry ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._gtk_label_set_text_with_mnemonic ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._XCheckIfEvent ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._gtk_window_resize ... JNI]
[Dynamic-linking native method org.eclipse.swt.internal.gtk.OS._gdk_drawable_get_depth ... JNI]
The program 'Eclipse' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 948 error_code 11 request_code 150 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

So, when the native method org.eclipse.swt.internal.gtk.OS._gdk_drawable_get_depth is called, it seems to cause X problems. This was the best I could do in a short time..

Björn Streicher (bstreicher) wrote :

Before discovering this bug report, I tried a few things. One was to use the radeon driver instead of fglrx. When having

Option "AccelMethod" "EXA"

set when using the radeon driver, the error did not occur even with xserver-xorg-core - 2:1.2.0-3ubuntu8.1. When the option above was commented out, the error did occur, however. With fglrx, I could not get it to work.

Øyvind Stegard (oyvinst) wrote :

Then I should mention that I am using the fglrx-driver (Ubuntu-packaged fglrx: Version: 7.1.0-8.37.6+2.6.22.4-14.10). I haven't tried any config-tweaks.

Dim Zoom (dimzoom) wrote :

same probleme with vlc downgrade efficient after restart X but my desktop disapeared a full reboot solve it. thanks all. I have free drivers with a mobility radeon 9700.

Dim Zoom (dimzoom) wrote :

 aptitude forbid-version xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8.1 to ignore last xserver-xorg-core package when you ll perform an aptitude upgrade

Gijs ter Beek (gijsterbeek) wrote :

Same happens with xaralx (Xara Xtreme for Linux):

And after downgrading xserver-xorg-core it worked as before

The program 'xaralx' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial [SOME NUMBER] error_code 11 request_code 148 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I did a force version in synaptic to the previously installed version.

Federico Valeri (fedevaleri) wrote :

Same problem here, eclipse not work after update. Downgrade resolve the problem.

Craig (craigtlandry) wrote :

I tested Eclipse and got the same behavior as everyone else here, but when running NetBeans 6.0 RC2 (too lazy to upgrade) I do not have any problems. While they are both IDE's, they are really just big java apps. The main difference between the two (in terms of this bug at least) is that Eclipse runs on SWT and NetBeans is Swing-based. SWT uses tons of jni calls to use native components, where swing apps are pure java. That might explain why one would see this problem with azureus too, since that's an Eclipse RCP app (uses SWT.)

So to me, it looks like java apps in general are fine, but SWT based apps are having problems.

charly4711 (karl-h-beckers) wrote :

Netbeans working but not azureus here supports the assumption that this is between the xorg update and libswt.

slazZ (slazz) wrote :

Can confirm this also for feisty.
But not only JAVA apps are affected, vlc breaks, too:

The program '.' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 249 error_code 11 request_code 144 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Per Heldal (heldal) wrote :

Upgrade to xserver-xorg-core version 2:1.3.0.0.dfsg-12ubuntu8.1 causes numerous problems:

wxwidget-based applications don't work (vlc etc)

tvtime get in a weird state with brightness/contrast after a while

Various other intermittent problems and graphics anomalies (possible memory buffer corruption).

All observed problems disappear after downgrade to the previous version of the package.

mikibg (vmikiv) wrote :

great update, crash so many apps and no1 delete this update from repo !!!!

I installed the update this afternoon. It's not causing any problems on my AMD64 Gutsy installation. Eclipse, VLC, Azureus, everything is still working fine.

Perhaps this bug only affects 32bit systems?

Martin Pitt (pitti) wrote :

The faulty xserver-xorg-core packages have been disabled on security.u.c. We are in the process of reverting the change and providing updated packages.

Changed in xorg-server:
status: Confirmed → In Progress
Alin (alin-popa) wrote :

Hi guys,

I found this problem also....
My machine wasn't stopped for 15 days at least and after upgrade and so on ... I had to do a system reboot for some reason. I'm also a java developer and use eclipse intensive. So this issue braked 15 min of my developing time ...
Like a previous guy was asking: how this untested packages are getting to final releases ?

Mithraw (f-moraldo) wrote :

Hi,
I found this problem on a C++ dev with wxWidget since i have updated my xserver-xorg-core ...
I hope it will be fixed soon ...

Martin Pitt (pitti) wrote :

For the record, packages are uploaded to the security queue, building now.

Martin Pitt (pitti) wrote :

heindsight: Right, it apparently does not affect amd64.

Martin Pitt (pitti) wrote :

After the reverted packages are published, we will have a discussion how this could happen, and what to change so that it doesn't happen again. We apologize for any inconvenience this has caused, and promise that we will provide updated packages as soon as possible.

My friend had this problem too.

What's wrong? Why isn't testing going on? I can understand mistakes happening now and then, but not throwing QA out of the window altogether!

oscarsfriend (simon-hegelian) wrote :

Is the amd64 version going to be left alone, seen as no one has reported any problems?

Stani (stani) wrote :

This affects indeed also wxwidgets and wxpython.

Some examples:
$ python wxPython/demo/Main.py
The program 'python' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
 (Details: serial 652 error_code 11 request_code 145 minor_code 5)
 (Note to programmers: normally, X errors are reported asynchronously;
  that is, you will receive the error a while after causing it.
  To debug your program, run it with the --sync command line
  option to change this behavior. You can then get a meaningful
  backtrace from your debugger if you break on the gdk_x_error() function.)

$ python wxglade.py
The program 'python' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
 (Details: serial 467 error_code 11 request_code 145 minor_code 5)
 (Note to programmers: normally, X errors are reported asynchronously;
  that is, you will receive the error a while after causing it.
  To debug your program, run it with the --sync command line
  option to change this behavior. You can then get a meaningful
  backtrace from your debugger if you break on the gdk_x_error() function.)

When trying SPE in debugger mode:

$ python /home/stani/sync/python/spe/_spe/SPE.py --debug

SPE v0.8.4.b (c)2003-2007 www.stani.be

If spe fails to start:
- type "python SPE.py --debug > debug.txt 2>&1" at the command prompt
  (or if you use tcsh: "python SPE.py --debug >& debug.txt")
- send debug.txt with some info to spe.stani.be[at]gmail.com

Blender support disabled (run SPE inside Blender to enable).
Encrypted debugging enabled.

Spe is running in debugging mode with this configuration:
- platform : linux2
- python : 2.5.1
- wxPython : 2.8.4.0
- interface : <default>
- encoding : UTF-8

Launching application...
Create: Framework: menu.
Create: Framework: toolbar.
The program 'python' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
 (Details: serial 486 error_code 11 request_code 145 minor_code 5)
 (Note to programmers: normally, X errors are reported asynchronously;
  that is, you will receive the error a while after causing it.
  To debug your program, run it with the --sync command line
  option to change this behavior. You can then get a meaningful
  backtrace from your debugger if you break on the gdk_x_error() function.)

... the same story happens.

Also occurs when 2:1.3.0.0.dfsg-12ubuntu8.1 gets installed.

I had to revert using apt-get install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8

Bryce Harrington (bryce) on 2008-01-18
Changed in xorg-server:
assignee: bryceharrington → nobody
aschuring (aelschuring) wrote :

contrary to what Björn Streicher wrote earlier, I have the following in xorg.conf:
Option "Composite" "enable"
Option "AccelMethod" "EXA"
Driver "ati"

and VLC still crashes with a BadAlloc error (serial 476 error_code 11 request_code 146 minor_code 5)

aschuring@neminis:~$ dpkg -s xserver-xorg-core
Package: xserver-xorg-core
[...]
Architecture: i386
Version: 2:1.3.0.0.dfsg-12ubuntu8.1

Hi!
I upgraded xserver-xorg-core to version 2:1.3.0.0.dfsg-12ubuntu8.1 his mornig and found out it broke aMule 2.1.3 on Ubuntu 7.10 Gnome with this message:

parik70@parik70-desktop:~$ amule
Initialising aMule
Checking if there is an instance already running...
No other instances are running.
The program 'amule' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 405 error_code 11 request_code 148 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
parik70@parik70-desktop:~$

So I downgraded xserver-xorg-core to the previous version ( 8 ) and now aMule is working properly . . .

Sam_ (and-sam) wrote :

Hello,
few minutes ago I've updated with Synaptic, all updates were ok, except this message:
W: Beim Herunterladen der Datei »http://security.ubuntu.com/ubuntu/pool/main/x/xorg-server/xserver-xorg-core_1.3.0.0.dfsg-12ubuntu8.1_amd64.deb« ist ein Fehler aufgetreten*:
403 Forbidden

*Translation: An error occured while downloading the package
The update manager still offers the update, I did'nt try it again, because of these bugs above.
How can I get the update manager to remove or ignore this update?
Thanks a lot for help in advance.

oscarsfriend (simon-hegelian) wrote :

This may or may not be a related problem, but a number of people have reported 3d crashing their x sever after the update. I have noticed that many of them have nvidia cards. After the update I discovered that using 3d would immediately cause the x server to restart. Reinstalling the nvidia drivers (I use the file from nvidia's website) fixed the problem for me (though some say not for them). On reinstalling the drivers I got the following error message: "ERROR: File '/usr/lib/xorg/modules/extensions/libglx.so' is not a symbolic link." But nvidia's installer sorted it out by itself. It looks to me like the xserver-xorg-core installed a file over this link, which broke my nvidia driver installation. I don't remember this happening during a previous update. Also, I am using amd64 kubuntu feisty.

Matthias Niess (mniess) wrote :

This also slightly affects Qt apps to the degree that their respective icons are not shown anymore in the panel (and windowframe). This also seems to happen only in Gnome as Kubuntu users don't report any problems.

temporary fix: (downgrade)
sudo apt-get install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8

Michael Vogt (mvo) wrote :

The disabled update leads to the 403 errors that people see. This will be fixed very soon.

Sergios (linuxmangr) wrote :

Hi ,me to have problem , but I do sudo apt-get install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8 and problem is solved only in update manager have 1 update xserver-xorg-core

gpothier (gpothier) wrote :

In Hardy, the latest version of xserver-xorg-core (1.4.1~git20080105-1ubuntu2) causes the same problem. Downgrading to 1.4.1~git20080105-1ubuntu1 solves the problem:
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xorg-server/xserver-xorg-core_1.4.1~git20080105-1ubuntu1_i386.deb
sudo dpkg -i xserver-xorg-core_1.4.1~git20080105-1ubuntu1_i386.deb

The program 'wxmaxima' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 1273 error_code 11 request_code 145 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Sergios (linuxmangr) wrote :

Hi Randy Lejeune to solved you problem please open terminal and paste this command sudo apt-get install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8
after restart X and you apps worked , only do not update again xserver-xorg tuday.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.3.0.0.dfsg-12ubuntu8.2

---------------
xorg-server (2:1.3.0.0.dfsg-12ubuntu8.2) gutsy-security; urgency=low

  * Revert previous security patch since it causes regressions.
    (LP: #183969)

 -- Martin Pitt <email address hidden> Fri, 18 Jan 2008 15:59:30 +0000

Changed in xorg-server:
status: In Progress → Fix Released
starscalling (starscalling) wrote :

i dont mind breaking my system to test new package? ^^

seespatz (seespatz) wrote :

@Michael Vogt: Can you specify "very soon"? Thank you.

Stephan (stephan-cs) wrote :

> This bug was fixed in the package xorg-server - 2:1.3.0.0.dfsg-12ubuntu8.2
Will the same fix be applied in feisty, too?
we have broken version 2:1.2.0-3ubuntu8.1
thanks

Colin Watson (cjwatson) wrote :

This fix will be applied to all affected releases. The fixes are all being published as I type this, and should be available within the next 20 minutes or so.

Stephan (stephan-cs) wrote :

> This fix will be applied to all affected releases. The fixes are all being published as I type this, and should
> be available within the next 20 minutes or so.
Thank you!

Stephan Steiner (sepan77) wrote :

Is glx affected too?
Yesterday I played doom3 on my computer.
This morning I installed the update to 2:1.3.0.0.dfsg-12ubuntu8.1 and I'm not able anymore to play opengl games.
even typing glxinfo on the terminal crashed the x server.
I tried to upgrade to the 2:1.3.0.0.dfsg-12ubuntu8.2 release, but it did not help. neither did downgrading to 2:1.3.0.0.dfsg-12ubuntu8 help.
Any ideas if it is possible that glx may be affected too?
I rebooted after every upgrade/downgrade attempt, just to be sure...

oscarsfriend (simon-hegelian) wrote :

Stephan Steiner,

A number of people (who all seem to have nvidia cards) have had similar problems. I outline a solution in this thread: http://ubuntuforums.org/showthread.php?t=671091

thanks for this information, but I have a thinkpad X60 with Intel 945G
grafic chipset.

I will wait, as I have no the time at the moment to put some experiments
- as this is productive environment ;-)

On Fri, 2008-01-18 at 19:58 +0000, oscarsfriend wrote:
> Stephan Steiner,
>
> A number of people (who all seem to have nvidia cards) have had similar
> problems. I outline a solution in this thread:
> http://ubuntuforums.org/showthread.php?t=671091
>

Stephan Steiner (sepan77) wrote :

> A number of people (who all seem to have nvidia cards) have had similar problems

Yes, I've got an nvidia graphic card.
I fixed the opengl (glx) problems by restoring the symbolic link
/usr/lib/xorg/modules/extensions/libglx.so to my nvidia driver

/usr/lib/xorg/modules/extensions# ls -l
lrwxrwxrwx 1 root root 16 2008-01-18 21:10 libglx.so -> libglx.so.169.07

Holge r (obst-holger) wrote :

Well, eclipse applications crashed here on X60 thinkpad with Intel 945G grafic chipset after xserver-xorg-core update. With downgrade to the old package everything is fine.

Jonas Abreu (jonasabr) wrote :

The same problem here!

Rob Hasselbaum (rhasselbaum) wrote :

Update is now available in the repo (for Gutsy anyway) and seems to have solved it for Eclipse. Unfortunate that this happened at all, but at least a fix was published promptly.

oscarsfriend (simon-hegelian) wrote :

Update also available for Feisty. Also, if you have the problem with glx mentioned above, you will need to fix the symlink, or reinstall your graphics driver after the update.

wahlau (wahlau) wrote :

just performed an update via apt-get update and upgrade. At my side i can confirm that the issues reported are no longer there. Both VLC and Eclipse started without problem. thanks for the quick fix...

Ross Heflin (chi-metrognome) wrote :

now giving the latest (2:1.3.0.0.dfsg-12ubuntu8.2 a try) will post results of testing in a few minutes

Kees Cook (kees) wrote :

2:1.3.0.0.dfsg-12ubuntu8.2 reverts the entire security update (to avoid confusion). A proper fix (which just came from upstream X.org) has tested well now, and is building. It should be published shortly (it will be version 2:1.3.0.0.dfsg-12ubuntu8.3).

Sorry for all the trouble and confusion!

Changed in xorg-server:
assignee: nobody → keescook
status: Fix Released → Fix Committed
KeX3 (kex3) wrote :

Appalling. Really. Breakage on this level just shouldn't happen on a distribution that tries to be a "just working" distribution.
Guess it's back to Debian for a system that wont break on a not-even-point-release upgrade.

Michael R. Head (burner) wrote :

@KeX3:

Debian/etch had the same exact bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=461465

Tanker Bob (tankerbob) wrote :

I confirm that xorg-core 8.2 resolves the issues on Kubuntu Gutsy AFTER reinstalling the nvidia drivers. Manually resetting the symbolic link did not work for some reason. Thanks for the quick response to this issue.

For the record, my symptoms were somewhat different from others here. Wine, compiz, and the OpenGL/GLX Information window all caused the xserver to reset as if pressing ctrl-alt-backspace.

yegle (cnyegle) wrote :

I confirm that the same thing happened in ubuntu hardy with the xserver-xorg-core version 2:1.4.1~git20080105-1ubuntu3

Motin (motin) wrote :

Yesterday after the updates I switched to xine to play my media. After the latest updates (installed 5 min ago), now even xine won't start:

$ xine
This is xine (X11 gui) - a free video player v0.99.5.
(c) 2000-2007 The xine Team.
AFD changed from -2 to -1
X Error of failed request: BadAlloc (insufficient resources for operation)
  Major opcode of failed request: 140 (XVideo)
  Minor opcode of failed request: 19 ()
  Serial number of failed request: 2485
  Current serial number in output stream: 2486

Rolling back now...

Motin (motin) wrote :

Hmm - so basically the new version of the security update patch kit (2:1.3.0.0.dfsg-12ubuntu8.3) is causing regressions here at least..

DoDuS (sveterv) wrote :

I also had a problems after today xserver-xorg-core update, but in mine case problem was with Wine applications, i couldn't start them (even winecfg utility), because X server was restarting to the login screen.

The resolution was simple, and I have found it on Ubuntu forums, nvidia binary drivers reinstallation resolved the problem :)

Dim Zoom (dimzoom) wrote :

ok for me with 2:1.3.0.0.dfsg-12ubuntu8.3 thanks a lot.

me with libxfont1 1:1.3.0-0ubuntu1.1 and xserver-xorg-core 2:1.3.0.0.dfsg-12ubuntu8.3 cant open games with wine (for example world of warcraft)

yesterday i play this game with no problem...

i have tried to downgrade to libxfont1 1:1.3.0-0ubuntu1 and xserver-xorg-core 2:1.3.0.0.dfsg-12ubuntu8 but i have same problem....

when i open world of warcraft xorg restart ....

Double Compile (doublecompile) wrote :

I just reconfigured the xserver-xorg-core package.... (I have 2:1.3.0.0.dfsg-12ubuntu8.3)

$ sudo dpkg-reconfigure xserver-xorg-core

My Eclipse install is working fine again... (technically, I dpkg-reconfigure'd the xserver-xorg package as well, but not sure if that was necessary)

if i write in console "glxinfo" x restart.... lol

Tanker Bob (tankerbob) wrote :

Xan said: "if i write in console "glxinfo" x restart"

That's exactly the nvidia information screen on which xorg-core 8.1 restarted the xserver. Looks like I'll hold off on 8.3 until this gets sorted out. Life is good with 8.2 so far.

completly resolved with : sudo ln -sf /usr/lib/xorg/modules/extensions/libglx.so.169.07 /usr/lib/xorg/modules/extensions/libglx.so

i dont know why....

Andres Mujica (andres.mujica) wrote :

eclipse an glxinfo issue solved with xserver-xorg-core 2:1.3.0.0.dfsg-12ubuntu8.3

orbisvicis (orbisvicis) wrote :

thanks for the quick fix in xserver-xorg-core

all i had to do afterwards was
dselect update
sudo apt-get install -f --reinstall nvidia-glx-new

(otherwise gdm wouldnt start)

Tanker Bob (tankerbob) wrote :

Based on what I've read here, I just installed xorg-core 8.3 and the its two related package updates over an operational kubuntu gutsy nvidia setup and everything works fine after restarting the xserver. The nvidia symbolic links remained intact. Looks like 8.3 does the trick.

Thanks for the quick reaction and fixes!

Latest update fixed the problem. Thanks!

Yondaime (simulator) wrote :

http://paste.ubuntu-nl.org/52393/

http://paste.ubuntu-nl.org/52395/

and i got this message when reinstall nvidia driver

-> Validating previous installation:
ERROR: File '/usr/lib/xorg/modules/extensions/libglx.so' is not a symbolic
       link.
-> done.

i have follow
$ cd /usr/lib/xorg/modules/extensions/
$ sudo ln -s libglx.so.100.14.11 libglx.so

its can fix this problem ?

ldng (ldng) wrote :

Still having problem after the upgrade. Any thoughts?

$ aptitude show xserver-xorg-core
Paquet : xserver-xorg-core
État: installé
Automatiquement installé: oui
Version : 2:1.3.0.0.dfsg-12ubuntu8.3

$ eclipse
The program 'Eclipse' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 930 error_code 11 request_code 148 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Martin Pitt (pitti) wrote :

ldng [2008-01-21 8:43 -0000]:
> $ aptitude show xserver-xorg-core
> Paquet : xserver-xorg-core
> État: installé
> Automatiquement installé: oui
> Version : 2:1.3.0.0.dfsg-12ubuntu8.3

This shows the available version, not the installed version. Can you
please make sure that you have 8.3 installed ("dpkg -s xserver-xorg-core")
and try to upgrade your system again?

--
Martin Pitt http://www.piware.de
Ubuntu Developer http://www.ubuntu.com
Debian Developer http://www.debian.org

ldng (ldng) wrote :

The installed version is :

$ dpkg -s xserver-xorg-core
Package: xserver-xorg-core
Status: install ok installed
Priority: optional
Section: x11
Installed-Size: 10288
Maintainer: Ubuntu Core Developers <email address hidden>
Architecture: i386
Source: xorg-server
Version: 2:1.3.0.0.dfsg-12ubuntu8.3

I've tried to downgrade to 1.3.0.0.dfsg-12ubuntu8 and update again after having ereased /var/cache/apt/archives.

# aptitude install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8
# aptitude safe-upgrade

That fixed it. Thanks for the fast answer and sorry for the false alarm.

Per Heldal (heldal) wrote :

The problem with tvtime reported earlier is still there with the last version. The picture (window or fullscreen) sometimes gets very dark (and distorted when corrected with brightness/contrast settings). There are no errors reported when tvtime is run from the command-line. Besides, a check with vlc confirms that it also shows a distorted picture. Reload of driver-modules for the capture hardware makes no change. The only fix is to restart the xserver. The problem doesn't appear quite as frequently with the latest xserver (Version: 2:1.3.0.0.dfsg-12ubuntu8.3), but it eventually gets in the weird state after a day or two. This points to some form of buffer corruption in a video-extension or similar. Further investigation needed.

Per Heldal (heldal) wrote :

Arrg.... forget my previous comment about tvtime. It first happened to me after the broken xserver update, so I incorrectly assumed the problem was related to one of the many changes in the code. It turns out it is totem that messes with picture settings and that it also affects other media applications. Now that I've found the cause, I've also found a way to correct it.

I down graded as per the link (in my question response) and now its working
fine.

Regards,
Michael McLeod

On 21/01/2008, ldng <email address hidden> wrote:
>
> Still having problem after the upgrade. Any thoughts?
>
> $ aptitude show xserver-xorg-core
> Paquet: xserver-xorg-core
> État: installé
> Automatiquement installé: oui
> Version: 2:1.3.0.0.dfsg-12ubuntu8.3
>
> $ eclipse
> The program 'Eclipse' received an X Window System error.
> This probably reflects a bug in the program.
> The error was 'BadAlloc (insufficient resources for operation)'.
> (Details: serial 930 error_code 11 request_code 148 minor_code 5)
> (Note to programmers: normally, X errors are reported asynchronously;
> that is, you will receive the error a while after causing it.
> To debug your program, run it with the --sync command line
> option to change this behavior. You can then get a meaningful
> backtrace from your debugger if you break on the gdk_x_error()
> function.)
>
> --
> xserver-xorg-core update breaks java & wxwidgets apps
> https://bugs.launchpad.net/bugs/183969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

canalside (canalside) wrote :

Still not fixed yet in Ubuntu 7.10 AMD64, I tried as above:

aptitude install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8
aptitude safe-upgrade
reboot
dpkg -s xserver-xorg-core
to show:
Version: 2:1.3.0.0.dfsg-12ubuntu8.3

but:
sudo X :1 -once -query [IPv4 address of remote xclient]
still comes up with a grey screen.
Remote X has been broken only since the security patch, still works on an unpatched Ubuntu 6.10 AMD64

I'm getting:
(**) Option "Device" "/dev/input/wacom"
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
        No such file or directory.
Error opening /dev/input/wacom : Success
 - not sure if this is relevant

Sirius (vorstar) wrote :

Had similar problems, every opengl crashed after xserver-xorg-core update, SDL apps worked fine and java too.

Now thanks to all you its fixed now.

With 2:1.3.0.0.dfsg-12ubuntu8.3 version installed I just reinstalled NVIDIA 169.07 drivers and everything was fixed.

While installing it complained about some libglx.so file not being a symbolic link, which is related to this post by Xan:

"completly resolved with : sudo ln -sf /usr/lib/xorg/modules/extensions/libglx.so.169.07 /usr/lib/xorg/modules/extensions/libglx.so

i dont know why...."

It seems like xorg update broke the nvidia driver.

Thanks again.

Cheers.

Timo Aaltonen (tjaalton) wrote :

You were using an unofficial nvidia driver which does not include the symlink. 7.10 does not have 169.* .

Tanker Bob (tankerbob) wrote :

"You were using an unofficial nvidia driver which does not include the symlink. 7.10 does not have 169.* ."

That's silly. 169.07 created the symlink on install. The xorg-core 8.1 update broke the symlink on ALL versions of the nvidia driver, not just 169.07. I had 169.04 and others had the version in the repository. Please don't try to blame this on nvidia when the problem was clearly with the 8.1 update. 8.2 and 8.3 did not break the symlink of any version of the nvidia driver.

Kees Cook (kees) on 2008-01-25
Changed in xorg-server:
status: Fix Committed → Fix Released
MickTaiwan (faivrem) wrote :

After having reverted to 2:1.3.0.0.dfsg-12ubuntu8, it worked much longer but then Aptana crashed again....

This is still broken for me.

Using Version: 2:1.3.0.0.dfsg-12ubuntu8.3

Totem crashes with the following output:

The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 48 error_code 11 request_code 140 minor_code 19)
...

Mplayer plays video but not audio and outputs the following:
X11 error: BadAlloc (insufficient resources for operation)5.0% 6 0

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.